### Method

# FwupdPlugin Device incorporate_flag

since: 1.3.5

#### Declaration [src]

    void
    fu_device_incorporate_flag (
      FuDevice* self,
      FuDevice* donor,
      FwupdDeviceFlags flag
    )

#### Description [src]

Copy the value of a specific flag from the donor object.

Available since: 1.3.5

#### Parameters

`donor`

  Type: `FuDevice`

  Another device.

  The data is owned by the caller of the method.

`flag`

  Type: `FwupdDeviceFlags`

  Device flags.